Loading...
Searching...
No Matches
sdbus::MethodInvoker Class Reference

## Public Member Functions

MethodInvoker & | onInterface (const InterfaceName &interfaceName)
MethodInvoker & | onInterface (const std::string &interfaceName)
MethodInvoker & | onInterface (const char *interfaceName)
MethodInvoker & | withTimeout (uint64_t usec)
template<typename _Rep, typename _Period>
MethodInvoker & | withTimeout (const std::chrono::duration< _Rep, _Period > &timeout)
template<typename... _Args>
MethodInvoker & | withArguments (_Args &&... args)
template<typename... _Args>
void | storeResultsTo (_Args &... args)
void | dontExpectReply ()
| MethodInvoker (MethodInvoker &&other)=default

The documentation for this class was generated from the following files:

- include/sdbus-c++/ConvenienceApiClasses.h
- include/sdbus-c++/ConvenienceApiClasses.inl